#include "state.h"


Screen currentScreen = Counter;
uint8_t screenInvalidated = 0;


void setCurrentScreen(Screen value)
{
  if (value != currentScreen)
  {
    currentScreen = value;
    setScreenInvalidated();
  }
}


uint8_t getScreenInvalidated()
{
  if (screenInvalidated)
  {
    screenInvalidated = 0;
    return 1;
  }

  return 0;
}


uint8_t peekScreenInvalidated()
{
  return screenInvalidated;
}


void setScreenInvalidated()
{
  screenInvalidated = 1;
}